Package org.gradle.language.swift

# Interface SwiftPlatform

public interface SwiftPlatform
A target platform for building Swift binaries.

Since:
  5.2

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SwiftVersion`
  `getSourceCompatibility()`
  Returns the Swift language level to use to compile the source files.
  `TargetMachine`
  `getTargetMachine()`
  Returns the target machine for this platform.

- ## Method Details

  - ### getTargetMachine

    TargetMachine getTargetMachine()
    Returns the target machine for this platform.

  - ### getSourceCompatibility

    SwiftVersion getSourceCompatibility()
    Returns the Swift language level to use to compile the source files.